## CallyClone CallyClone — Implementation of the ATK interfaces for a ClutterClone |

## Functions

AtkObject * | cally_clone_new ()

## Types and Values

struct | CallyClone
struct | CallyCloneClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ╰── CallyClone

## Implemented Interfaces

CallyClone implements AtkComponent and AtkAction.

## Description

CallyClone implements the required ATK interfaces of ClutterClone

In particular it sets a proper role for the clone, as just a image, as it is the sanest and simplest approach.

## Functions

### cally_clone_new ()

    AtkObject *
    cally_clone_new (ClutterActor *actor);

Creates a new CallyClone for the given `actor` . `actor` must be a ClutterClone.

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since: 1.4

## Types and Values

### struct CallyClone

    struct CallyClone;

The CallyClone structure contains only private data and should be accessed using the provided API

Since: 1.4

### struct CallyCloneClass

    struct CallyCloneClass {
    };

The CallyCloneClass structure contains only private data

Since: 1.4

## See Also

ClutterClone